Thu, 02 Dec 2021 18:47:25 UTC

Information for RPM mpi4py-openmpi-1.3-5.el6.i686.rpm

ID3282765
Namempi4py-openmpi
Version1.3
Release5.el6
Epoch
Archi686
SummaryPython bindings of MPI, Open MPI version
DescriptionThis package is constructed on top of the MPI-1/MPI-2 specification and provides an object oriented interface which closely follows MPI-2 C++ bindings. It supports point-to-point (sends, receives) and collective (broadcasts, scatters, gathers) communications of any picklable Python object as well as optimized communications of Python object exposing the single-segment buffer interface (NumPy arrays, built-in bytes/string/array objects). This package contains mpi4py compiled against Open MPI.
Build Time2012-08-04 18:28:33 GMT
Size261,260
e8d111758dd9f733351c72d8d1f17416
LicenseBSD
Buildrootdist-6E-epel-build-1428613-231852
Provides
mpi4py-openmpi = 1.3-5.el6
mpi4py-openmpi(x86-32) = 1.3-5.el6
mpi4py-runtime = 1.3-5.el6
python2-mpi4py-openmpi = 1.3-5.el6
Obsoletes No Obsoletes
Conflicts No Conflicts
Requires
libc.so.6
libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1.3)
libc.so.6(GLIBC_2.3.4)
libc.so.6(GLIBC_2.4)
libdl.so.2
libdl.so.2(GLIBC_2.0)
libdl.so.2(GLIBC_2.1)
libm.so.6
libmpi.so.1
libpthread.so.0
libpython2.6.so.1.0
libutil.so.1
mpi4py-common = 1.3-5.el6
openmpi
python(abi) = 2.6
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
rpmlib(VersionedDependencies) <= 3.0.3-1
rtld(GNU_HASH)
Recommends No Recommends
Suggests No Suggests
Supplements No Supplements
Enhances No Enhances
Files
1 through 29 of 29
Name ascending sort Size
/usr/lib/python2.6/site-packages/openmpi/mpi4py4,096
/usr/lib/python2.6/site-packages/openmpi/mpi4py-1.3-py2.6.egg-info3,036
/usr/lib/python2.6/site-packages/openmpi/mpi4py/MPE.so36,968
/usr/lib/python2.6/site-packages/openmpi/mpi4py/MPI.so911,688
/usr/lib/python2.6/site-packages/openmpi/mpi4py/__init__.py2,219
/usr/lib/python2.6/site-packages/openmpi/mpi4py/__init__.pyc2,428
/usr/lib/python2.6/site-packages/openmpi/mpi4py/__init__.pyo2,428
/usr/lib/python2.6/site-packages/openmpi/mpi4py/bin4,096
/usr/lib/python2.6/site-packages/openmpi/mpi4py/bin/python-mpi4,180
/usr/lib/python2.6/site-packages/openmpi/mpi4py/dl.so5,124
/usr/lib/python2.6/site-packages/openmpi/mpi4py/include4,096
/usr/lib/python2.6/site-packages/openmpi/mpi4py/include/mpi4py4,096
/usr/lib/python2.6/site-packages/openmpi/mpi4py/include/mpi4py/MPI.pxd3,555
/usr/lib/python2.6/site-packages/openmpi/mpi4py/include/mpi4py/__init__.pxd56
/usr/lib/python2.6/site-packages/openmpi/mpi4py/include/mpi4py/__init__.pyx56
/usr/lib/python2.6/site-packages/openmpi/mpi4py/include/mpi4py/mpi.pxi37,141
/usr/lib/python2.6/site-packages/openmpi/mpi4py/include/mpi4py/mpi4py.MPI.h7,512
/usr/lib/python2.6/site-packages/openmpi/mpi4py/include/mpi4py/mpi4py.MPI_api.h14,710
/usr/lib/python2.6/site-packages/openmpi/mpi4py/include/mpi4py/mpi4py.h280
/usr/lib/python2.6/site-packages/openmpi/mpi4py/include/mpi4py/mpi4py.i2,319
/usr/lib/python2.6/site-packages/openmpi/mpi4py/include/mpi4py/mpi_c.pxd82
/usr/lib/python2.6/site-packages/openmpi/mpi4py/lib-pmpi4,096
/usr/lib/python2.6/site-packages/openmpi/mpi4py/lib-pmpi/libmpe.so2,556
/usr/lib/python2.6/site-packages/openmpi/mpi4py/lib-pmpi/libvt-hyb.so2,584
/usr/lib/python2.6/site-packages/openmpi/mpi4py/lib-pmpi/libvt-mpi.so2,584
/usr/lib/python2.6/site-packages/openmpi/mpi4py/mpi.cfg153
/usr/lib/python2.6/site-packages/openmpi/mpi4py/rc.py2,931
/usr/lib/python2.6/site-packages/openmpi/mpi4py/rc.pyc2,273
/usr/lib/python2.6/site-packages/openmpi/mpi4py/rc.pyo2,273
Component of No Buildroots